Get YouTube Top-Track Chart (weekly)

Return the YouTube weekly top-track chart for a given country_code and date. Each row merges track-basic-info with the chart row and carries both rankStats (rank history) and viewStats (views history). Data is updated weekly on Thursdays.

Query Parameters
  • country_code
    Type: string
    min length:  
    2
    max length:  
    2
    required

    ISO 3166-1 alpha-2 country code (2 letters, e.g. 'US', 'BR', 'GB').

  • date
    Type: string Format: date-time

    Date for the time-slice (YYYY-MM-DD). Required unless latest=true.

  • offset
    Type: integer
    min:  
    0

    Number of items to skip from the start of the result set; pair with limit to paginate.

  • latest
    Type: boolean

    If true, use the most recently available date and ignore date.

Responses
  • application/json
Request Example for get/api/charts/youtube/tracks
curl 'https://api.chartmetric.com/api/charts/youtube/tracks?country_code=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "length": 1,
    "data": [
      {
        "id": "uLHqpjW3aDs",
        "youtube_track_id": "uLHqpjW3aDs",
        "name": "Roddy Ricch - The Box [Official Audio]",
        "isrc": "USAT21906978",
        "youtube_artist": "/g/11fhvxdh1f",
        "image_url": null,
        "cm_track": 27599255,
        "upload_date": "2019-12-06T05:05:28.000Z",
        "license": "WMG",
        "album_names": [
          "The Box"
        ],
        "youtube_artist_names": [
          "Roddy Ricch"
        ],
        "cm_artist": [
          839964
        ],
        "artist_names": [
          "Roddy Ricch"
        ],
        "code2s": [
          "US"
        ],
        "artist_images": [
          "https://lh3.googleusercontent.com/a-/AAuE7mD9mk4b9HXoY3SQHbXScUGwoLs_pDjXrA_rG3KP=w60-h60-l90-rj"
        ],
        "artist_covers": [
          null
        ],
        "youtube_artist_ids": [
          "/g/11fhvxdh1f"
        ],
        "youtube_track_ids": [
          "uLHqpjW3aDs"
        ],
        "artist_name": "Roddy Ricch",
        "position": 1,
        "added_at": "2020-02-06T00:00:00.000Z",
        "view_count": 20500000,
        "raw_data": null,
        "velocity": 0,
        "pre_rank": 1,
        "peak_rank": 1,
        "peak_date": "2020-01-09T00:00:00.000Z",
        "time_on_chart": "8",
        "rankStats": [
          {
            "rank": 1,
            "timestp": "2020-01-30T00:00:00.000Z"
          }
        ],
        "viewStats": [
          {
            "views": 18400000,
            "timestp": "2020-01-30T00:00:00.000Z"
          }
        ]
      }
    ]
  }
}